apiVersion: 1

# list of datasources that should be deleted from the database
deleteDatasources:
  - name: '{{ grafana_datasource }}'
    orgId: 1

# list of datasources to insert/update depending
# what's available in the database
datasources:
  # <string, required> name of the datasource. Required
- name: '{{ grafana_datasource }}'
  # <string, required> datasource type. Required
  type: 'prometheus'
  # <string, required> access mode. proxy or direct (Server or Browser in the UI). Required
  access: 'proxy'
  # <int> org id. will default to orgId 1 if not specified
  orgId: 1
  # <string> url
  url: http://{{ ansible_fqdn | default(ansible_host) | default('localhost') }}:9090
  # <bool> enable/disable basic auth
  basicAuth: false
  # <bool> mark as default datasource. Max one per org
  isDefault: true
  # <bool> allow users to edit datasources from the UI.
  editable: false
- name: 'SKAMPI internal prometheus'
  type: 'prometheus'
  access: 'proxy'
  # <string> url
  url: http://{{k8s_loadbalancer}}/ska-tango-exporter/prometheus/
  basicAuth: false
  isDefault: false
  editable: false
- name: 'InfluxDBInfluxQL'
  type: 'influxdb'
  access: 'proxy'
  url: http://{{ grafana_influxdb | default(ansible_host) | default('localhost') }}:8086
  database: {{ grafana_influxdb_db }}
  basicAuth: false
  isDefault: false
  editable: false
  jsonData:
    httpMode: POST
    version: InfluxQL
- name: 'InfluxDBFlux'
  type: 'influxdb'
  access: 'proxy'
  url: http://{{ grafana_influxdb | default(ansible_host) | default('localhost') }}:8086
  basicAuth: false
  isDefault: false
  secureJsonData:
    token: "test:test"
  jsonData:
    editable: false
    httpMode: POST
    version: Flux
    organization: "non-empty"
    defaultBucket: {{ grafana_influxdb_db }}/autogen
    tlsSkipVerify: true
    timeInterval: "1m"
